* {
    box-sizing: border-box;
}

:root {
    --grayscale-50: #333;
    --grayscale-10: #9C9C9C;
    --grayscale-white: #FFF;
    --primary-blue-100: #2C3878;
    --grayscale-black: #000;
}

body {
    width: clamp(320px, 100%, 1440px);
    font-family: 'Montserrat', sans-serif;
    background: var(--grayscale-white, #FFF);
    color: var(--grayscale-50, #333);
    padding: 0 clamp(50px, calc(-2.8960396040rem + 11.5511551155vw), 120px);
    margin: 0 auto;
}

a {
    text-decoration: none;
    color: var(--grayscale-50, #333);
}

.navbar {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    height: 130px;
    margin-bottom: 10px;
}

.navbar-brand {
    color: var(--grayscale-black, #000);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Montserrat;
    font-size: clamp(20px, calc(0.2178217822rem + 1.9801980198vw), 32px);
    font-style: normal;
    font-weight: 700;
    line-height: 170%;
    /* 54.281px */
}

.navbar a {
    color: var(--grayscale-50, #333);

    /* Montserrat/Regular/16 */
    font-family: Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    margin-right: clamp(30px, calc(0.8428217822rem + 1.9801980198vw), 42px);
}

.navbar a.active {
    font-weight: 600;
}

.navbar-nav {
    display: inline;
}

.navbar-phone {
    border: 1px solid var(--grayscale-30, #3C3C3C);
    background: var(--primary-blue-100, #2C3878);
    padding: clamp(12px, calc(0.5779702970rem + 0.3300330033vw), 14px) clamp(20px, calc(0.2178217822rem + 1.9801980198vw), 32px);
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    margin-left: clamp(0px, calc(-3.4405940594rem + 6.6006600660vw), 40px);
}

.icon-phone {
    display: none;
}

.header-title {
    color: var(--grayscale-50, #333);
    font-family: Montserrat;
    font-size: clamp(24px, calc(0.6428571429rem + 4.2857142857vw), 72px);
    font-style: normal;
    font-weight: 700;
    line-height: 140%;
    width: clamp(290px, calc(9.9642857143rem + 40.8035714286vw), 747px);
}

.header {
    display: flex;
    gap: clamp(10px, -0.0986842105rem + 2.1929824561vw, 30px);
    margin-bottom: clamp(24px, calc(0.6250000000rem + 4.3750000000vw), 73px);
}

.header-line {
    height: 2px;
    background: #000;
    flex-grow: 1;
    margin-top: clamp(20px, 0.6730769231rem + 2.3076923077vw, 44px);
}

.building {
    height: clamp(200px, calc(5.3571428571rem + 35.7142857143vw), 600px);
    background-image: url(img/building.png);
    background-size: cover;
    background-position: center;
}

.building-label {
    background: var(--primary-blue-100, #2C3878);
}

.label-header {
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: clamp(20px, 0.7500000000rem + 2.5000000000vw, 48px);
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
}

.label-text {
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: clamp(14px, 0.8392857143rem + 0.1785714286vw, 16px);
    font-style: normal;
    font-weight: 400;
}

.building-label {
    display: flex;
    gap: 8px;
    justify-content: space-around;
    padding: clamp(21px, 0.7288424125rem + 2.9182879377vw, 36px) 8px;
    text-align: center;
}

.building-wrapper {
    position: relative;
}

.btn-menu {
    padding: clamp(10px, -0.1297169811rem + 3.7735849057vw, 14px) clamp(16px, -2.0188679245rem + 15.0943396226vw, 32px);
    background: var(--primary-blue-100, #2C3878);
    margin-top: 20px;
    display: none;
}

.btn-menu a {
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
}

.wrapper-btn-menu {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 8px;
}

.project-text {
    color: var(--grayscale-10, #9C9C9C);
    font-family: Montserrat;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    /* 28.8px */
}

.project-header {
    color: var(--grayscale-50, #333);
    font-family: Montserrat;
    font-size: clamp(20px, 0.9642857143rem + 1.4285714286vw, 36px);
    font-style: normal;
    font-weight: 600;
    line-height: 140%;
    margin-bottom: clamp(20px, 0.7857142857rem + 2.3214285714vw, 46px);
    margin-top: 20px;
}

.project-about-text {
    color: var(--grayscale-black, #000);
    font-family: Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    text-transform: uppercase;
}

.project {
    width: clamp(290px, 11.6964285714rem + 32.1428571429vw, 650px);
    margin-bottom: clamp(30px, 0.6607142857rem + 6.0714285714vw, 98px);
}

.project-line {
    height: 2px;
    background: #000;
    flex-grow: 1;
}

.project-about {
    display: flex;
    margin-top: clamp(51px, 2.7946428571rem + 1.9642857143vw, 73px);
    align-items: center;
    gap: 12px;
}

.advantages {
    padding: clamp(20px, 0.5357142857rem + 3.5714285714vw, 60px);
    background: var(--primary-blue-100, #2C3878);
    display: flex;
    flex-wrap: wrap;
    gap: 25px;
    margin-bottom: clamp(30px, 0.8928571429rem + 4.9107142857vw, 85px);
}

.card-advant {
    display: flex;
    justify-content: start;
    gap: clamp(16px, 0.7500000000rem + 1.2500000000vw, 30px);
    align-items: center;
    flex-grow: 1;
    margin: auto;
    flex-basis: 400px;
}

.adv-text {
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: clamp(16px, 0.9285714286rem + 0.3571428571vw, 20px);
    font-style: normal;
    font-weight: 600;
    line-height: 120%;
    flex-basis: 340px;
}

.advantages-text {
    width: min(634px, 100%);
    margin-left: clamp(0px, -42.4053217822rem + 81.3531353135vw, 493px);
    color: var(--grayscale-10, #9C9C9C);
    font-family: Montserrat;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    margin-bottom: clamp(30px, 0.6250000000rem + 6.2500000000vw, 100px);
}

.advantages-btn {
    margin-top: 17px;
    background: var(--primary-blue-100, #2C3878);
    padding: 14px 32px;
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
}

.img-adapt {
    max-width: 100%;
    margin-bottom: clamp(30px, 0.6250000000rem + 6.2500000000vw, 100px);
}

.project.infra {
    width: min(674px, 100%);
}

.project.detail {
    width: min(603px, 100%);
}

.detail-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.detail-wrapper>* {
    flex-basis: 130px;
    flex-grow: 1;
}

.detail-text {
    color: var(--grayscale-10, #9C9C9C);
    font-family: Montserrat;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    flex-basis: 350px;
}

.detail-pdf {
    margin: 30px;
}

.detail-btn {
    padding: 14px clamp(20px, 1.0000000000rem + 1.2500000000vw, 34px);
    background: var(--primary-blue-100, #2C3878);
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    margin-bottom: clamp(30px, -0.0178571429rem + 9.4642857143vw, 136px);
}

footer {
    background: var(--primary-blue-100, #2C3878);
    min-height: 471px;
    margin: 0 clamp(-120px, 0.9375000000rem + -9.3750000000vw, -15px);
    padding: clamp(15px, 0.1339285714rem + 4.0178571429vw, 60px) clamp(15px, -0.9375000000rem + 9.3750000000vw, 120px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 20px;
}

.footer-row-text-wrapper {
    min-width: 55%;
    flex-basis: 465px;
}

.footer-row-text {
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: clamp(20px, 1.0357142857rem + 1.0714285714vw, 32px);
    font-style: normal;
    font-weight: 600;
    line-height: 120%;
    margin-bottom: 30px;
    max-width: 576px;
}


.footer-row {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}


form input {
    margin-bottom: 20px;
    background: var(--primary-blue-100, #2C3878);
    color: #fff;
    padding: 6px 8px;
    width: 280px;
}

form button {
    padding: 14px clamp(20px, 1.0357142857rem + 1.0714285714vw, 32px);
    background: var(--grayscale-white, #FFF);
    color: var(--grayscale-black, #000);
    font-family: Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    margin-top: 20px;
    margin-bottom: 30px;
}

form input:focus-visible {
    outline: 1px solid #7f86b3;
    border-radius: 4px;
}

form input::placeholder {
    color: #fff;
    font-weight: 300;
}

.footer-phone {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.footer-phone>* {
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: clamp(20px, 1.0357142857rem + 1.0714285714vw, 32px);
    font-style: normal;
    font-weight: 600;
    line-height: 120%;
}

/* 2 Страница. location.html */

.building.building-location {
    background-image: url(img/building-2.png);
    position: relative;
}

.building-label.building-label-location,
.building-label.building-label-layout {
    position: absolute;
    top: 0;
    right: 0;
}

.location-text {
    padding-top: clamp(30px, 0.6250000000rem + 6.2500000000vw, 100px);
    max-width: 654px;
    color: var(--grayscale-10, #9C9C9C);
    font-family: Montserrat;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
}

/* 3 Страница. layout.html */

.building.building-layout {
    background-image: url(img/building-3.png);
}

.layout-cards {
    display: flex;
    flex-wrap: wrap;
    gap: clamp(30px, 2.9464285714rem + -2.2321428571vw, 40px);
    margin-bottom: clamp(50px, 1.5357142857rem + 7.9464285714vw, 139px);
}

.layout-card {
    width: min(clamp(350px, 19.2945544554rem + 4.9504950495vw, 380px), 100%);
}

.layout-card img {
    width: 100%;
    margin-bottom: 20px;
}

.layout-card-title {
    color: #000;
    font-family: Montserrat;
    font-size: clamp(18px, 1.0178571429rem + 0.5357142857vw, 24px);
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    /* 36px */
    text-transform: uppercase;
    margin-bottom: 20px;
}

.layout-card-text {
    color: #9C9C9C;
    font-family: Montserrat;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    margin-bottom: 20px;
}

.layout-card button {
    color: var(--grayscale-white, #FFF);
    font-family: Montserrat;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    padding: 14px 34px 14px 32px;
    background: var(--primary-blue-100, #2C3878);
}





@media (max-width: 992px) {
    .collaps {
        display: none;
    }

    body {
        padding: 0 clamp(15px, calc(-0.4243677043rem + 6.8093385214vw), 50px);
    }

}

@media (max-width: 768px) {
    .navbar-wrapper {
        display: none;
    }

    .icon-phone {
        display: block;
    }

    .btn-menu {
        display: block;
    }

}

@media (min-width: 834px) {
    .building-label {
        position: absolute;
        right: clamp(25px, -8.3292079208rem + 18.9768976898vw, 140px);
        top: clamp(-232px, -2.3217821782rem + -13.5313531353vw, -150px);
        flex-direction: column;
        gap: clamp(35px, -0.2209158416rem + 4.6204620462vw, 63px);
        padding: 45px 28px;
    }

    .building-label.building-label-location,
    .building-label.building-label-layout {
        top: -124px;
        right: clamp(25px, -8.3292079208rem + 18.9768976898vw, 140px);
    }

}

@media (max-width: 1074px) {
    .card-advant {
        justify-content: center;
    }
}

@media (max-width: 767px) {

    .infra-2,
    .infra-1 {
        display: none;
    }
}

@media (min-width: 768px) and (max-width: 1200px) {

    .infra-3,
    .infra-1 {
        display: none;
    }
}

@media (min-width: 1201px) {

    .infra-2,
    .infra-3 {
        display: none;
    }
}

@media (max-width: 425px) {

    .layout-card button {
        width: 100%;
    }
}